org.apache.cassandra.service

## Interface IMigrationListener

All Known Implementing Classes:
  Auth.MigrationListener

    public interface IMigrationListener

### Method Summary

Methods
`void` `onCreateColumnFamily(java.lang.String ksName, java.lang.String cfName)`
`void` `onCreateKeyspace(java.lang.String ksName)`
`void` `onCreateUserType(java.lang.String ksName, java.lang.String typeName)`
`void` `onDropColumnFamily(java.lang.String ksName, java.lang.String cfName)`
`void` `onDropKeyspace(java.lang.String ksName)`
`void` `onDropUserType(java.lang.String ksName, java.lang.String typeName)`
`void` `onUpdateColumnFamily(java.lang.String ksName, java.lang.String cfName)`
`void` `onUpdateKeyspace(java.lang.String ksName)`
`void` `onUpdateUserType(java.lang.String ksName, java.lang.String typeName)`

### Method Detail

#### onCreateKeyspace

    void onCreateKeyspace(java.lang.String ksName)

#### onCreateColumnFamily

    void onCreateColumnFamily(java.lang.String ksName,
                            java.lang.String cfName)

#### onCreateUserType

    void onCreateUserType(java.lang.String ksName,
                        java.lang.String typeName)

#### onUpdateKeyspace

    void onUpdateKeyspace(java.lang.String ksName)

#### onUpdateColumnFamily

    void onUpdateColumnFamily(java.lang.String ksName,
                            java.lang.String cfName)

#### onUpdateUserType

    void onUpdateUserType(java.lang.String ksName,
                        java.lang.String typeName)

#### onDropKeyspace

    void onDropKeyspace(java.lang.String ksName)

#### onDropColumnFamily

    void onDropColumnFamily(java.lang.String ksName,
                          java.lang.String cfName)

#### onDropUserType

    void onDropUserType(java.lang.String ksName,
                      java.lang.String typeName)